#version 110

varying vec3 magic;
varying vec2 vtc;

uniform sampler2D texture;

uniform float percent;

void main(void)
{
	vec4 color = texture2D(texture, gl_TexCoord[0].st+vec2(0, percent*.1));

	color*=gl_Color;

	color *= abs(sin (gl_TexCoord[0].t*112.0)*2.0);
	
	gl_FragColor=color;
}
